# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
BuildRequires: gcc-c++ perl(File/Spec/Unix.pm) perl(HTTP/Daemon.pm) perl(HTTP/Status.pm) perl(Socket.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       expresso
Version:    0.9.2
Release:    alt1_11
Summary:    A lightweight, fast, test-driven development (TDD) framework for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/expresso
Source0:    http://registry.npmjs.org/expresso/-/expresso-%{version}.tgz
Source1:    expresso.1

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
rm -rf deps/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/expresso
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/expresso
mkdir -p %{buildroot}{%nodejs_sitelib}/expresso/bin
install -p -D -m0755 bin/expresso \
    %{buildroot}%{nodejs_sitelib}/expresso/bin/expresso
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/expresso/bin/expresso %{buildroot}/%{_bindir}/expresso

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m0644 %{SOURCE1} \
    %{buildroot}%{_mandir}/man1/expresso.1

%nodejs_symlink_deps


%files
%doc History.md Readme.md docs/
%{nodejs_sitelib}/expresso
%{_bindir}/expresso
%{_mandir}/man1/expresso.1*


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_11
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_5
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_4
- initial import

